Bug 1297652 - openstack instance names match the respective `hostname`s
openstack instance names match the respective `hostname`s
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Vikram Goyal
Jaspreet Kaur
Vikram Goyal
Depends On:
  Show dependency treegraph
Reported: 2016-01-12 01:23 EST by Jaspreet Kaur
Modified: 2017-12-26 05:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-26 05:58:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jaspreet Kaur 2016-01-12 01:23:17 EST
Document URL: https://access.redhat.com/documentation/en/openshift-enterprise/version-3.1/installation-and-configuration/#configuring-for-openstack

Section Number and Name: Chapter 9. Configuring for OpenStack

Describe the issue:  In Document it is not mentioned that the openstack instance names should match the respective `hostname`s. It is necessary as override will not work in this scenario.

Suggestions for improvement: 

Additional information:
Comment 1 Josep 'Pep' Turro Mauri 2016-01-15 08:19:50 EST
There's a related doc bug 1293563 that explains how to configure the nodeName matching OpenStack's instance ID. That change is already merged in upstream docs #1401.

Still though I believe it would be nice to mention that discovery (instead of manual configuration resulting in less friendly node names) is possible if instance and host names match.
Comment 3 Vikram Goyal 2017-12-26 05:58:15 EST
Since the related bug was closed with publication of the docs, I am closing this bug as well. Please reopen if the fix in that bug doesn't apply here.



Note You need to log in before you can comment on or make changes to this bug.